Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • uuid string Required
application/json

Body

  • name string

    Name of the case

  • status string(uuid)

    The uuid of the status chosen for the case

  • status_position integer

    The case status's new position on the status list. Starting from 1. Only used if you are formatting cases in a kanban layout.

  • assigned_to_uuids array[string(uuid)]

    Array of account UUIDs

  • group_uuids array[string(uuid)]

    UUIDs of groups that will be assigned when the case is created.

  • review_at string(date-time)

    Timestamp of when the case will be reviewed

  • type string(uuid)

    The uuid of the type chosen for the case

  • value integer

    Expect value the case will generate in pennies

  • completed_at string(date-time)

    Timestamp of when the case was completed

  • plans array[string(uuid)]

    The uuids of the plans that will be associated to the case when it is created. Leave NULL to disassociate all plans from the case.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name string

      Name of the case

    • slug string

      Slug of the case

    • status object

      Case status

      Hide status attributes Show status attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • colour string
      • position integer
      • is_type_completed boolean
    • type object

      Case type

      Hide type attributes Show type attributes object
      • uuid string
      • name string
      • created_at string
      • updated_at string
    • review_at string

      Timestamp of when the case should be reviewed

    • assigned_to_uuids array[string]

      UUIDs of accounts that will be assigned to the case when it is created.

    • group_uuids array[string]

      UUIDs of groups that will be assigned when the case is created.

    • completed_at string

      Timestamp of when the case was completed

    • value object

      Expected value of this case

      Hide value attributes Show value attributes object
      • amount object
        Hide amount attributes Show amount attributes object
        • example string
        • description string
      • formatted object
        Hide formatted attributes Show formatted attributes object
        • example string
        • description string
      • currency object
        Hide currency attributes Show currency attributes object
        • example string
        • description string
    • status_position integer

      The case status's position on the status list. Starting from 1. Only used if you are formatting cases in a kanban layout.

    • participants_count integer

      The number of participants on the case

    • participants object

      Participants on this case (if included)

      Hide participants attributes Show participants attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • custom_fields string
      • external_references string
    • task_board_uuid string

      UUID of the task board

    • plans object

      Plans in this case (if included)

      Hide plans attributes Show plans attributes object
      • uuid string
      • created_at string
      • updated_at string
      • opened_at string
      • name string
      • type string
      • sub_type string
      • abstract_type string
      • policy_number string
      • proposal_reference string
      • status string
      • inactive_at string
      • inactive_reason string
      • agency_in_your_name boolean
      • agency_in_your_name_from string
      • originally_sold_by_firm boolean
      • under_advice boolean
      • visible_on_client_portal boolean
      • include_in_client_valuation boolean
      • show_on_joint boolean
      • shown_on_circles boolean
      • review_date string
      • on_panel boolean
      • is_group_scheme boolean
      • is_sub_group_scheme boolean
      • is_group_scheme_member boolean
      • advice_area string
      • main_account string
      • sub_accounts string
      • provider string
      • covers string
      • claims string
      • total_benefit_amount object
        Hide total_benefit_amount attributes Show total_benefit_amount attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • total_benefits object
        Hide total_benefits attributes Show total_benefits attributes object
        • critical_illness object
          Hide critical_illness attributes Show critical_illness attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • family_income_benefit object
          Hide family_income_benefit attributes Show family_income_benefit attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
      • latest_valuations string
      • value object
        Hide value attributes Show value attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • valued_at string
      • original_valued_at string
      • client string
      • accounts string
      • seller string
      • linked_owners string
      • linked_plans string
      • visible_to_circles string
      • statistics object
        Hide statistics attribute Show statistics attribute object
        • recent_growth integer
      • cases string
      • tags string
      • is_wrap_product boolean
      • is_wrap_child boolean
      • wrap string
      • wrap_children string
      • linked_policy_numbers string
      • can_be_deleted string
      • contract_enquiry_account string
      • custom_fields string
      • external_references string
    • custom_fields array[object]

      Any custom fields on the model.

      Hide custom_fields attributes Show custom_fields attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • name string
      • reference string
      • is_required boolean
      • value string
      • selection_options array[string]
      • help_text string
PUT /api/v1/cases/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/cases/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Annual review","status":"c75fb92d-cf25-4e84-b489-3ab59a79a216","status_position":4,"assigned_to_uuids":["14b90872-809e-4df5-9c6c-5b84bda0efd2","3f688268-beba-4fcf-a543-8a054323a91d","5eac0d30-5368-4556-9682-ae47b2ead334"],"group_uuids":["91ba8db5-ed6b-41ad-b4da-b8e625e5fbeb","dec7521f-4c1b-48fb-9035-db5b6e272f86","b25572be-107c-4cab-9047-fedf31051e7c"],"review_at":"2026-03-18T16:05:25+00:00","type":"e29ff79b-fdc4-4414-9731-e46d2eb06846","value":15099,"completed_at":"2026-03-18T16:05:25+00:00","plans":["52866ecf-b41a-436d-b939-f0dff684f1bd","508b9dc4-e7f7-4c60-ba99-9c620fb5b5f8","9f229a0f-9b57-4f32-a0e9-8db039752547"]}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Annual review",
  "status": "c75fb92d-cf25-4e84-b489-3ab59a79a216",
  "status_position": 4,
  "assigned_to_uuids": [
    "14b90872-809e-4df5-9c6c-5b84bda0efd2",
    "3f688268-beba-4fcf-a543-8a054323a91d",
    "5eac0d30-5368-4556-9682-ae47b2ead334"
  ],
  "group_uuids": [
    "91ba8db5-ed6b-41ad-b4da-b8e625e5fbeb",
    "dec7521f-4c1b-48fb-9035-db5b6e272f86",
    "b25572be-107c-4cab-9047-fedf31051e7c"
  ],
  "review_at": "2026-03-18T16:05:25+00:00",
  "type": "e29ff79b-fdc4-4414-9731-e46d2eb06846",
  "value": 15099,
  "completed_at": "2026-03-18T16:05:25+00:00",
  "plans": [
    "52866ecf-b41a-436d-b939-f0dff684f1bd",
    "508b9dc4-e7f7-4c60-ba99-9c620fb5b5f8",
    "9f229a0f-9b57-4f32-a0e9-8db039752547"
  ]
}
Response examples (200)
{
  "amount": {
    "example": "4000",
    "description": "Money amount at their lowest denominator (for example: pennies)"
  },
  "currency": {
    "example": "GBP",
    "description": "Currency of the money"
  },
  "formatted": {
    "example": "£40.00",
    "description": "Money amount formatted with currency"
  }
}